#ifndef _VECTOR_H_
#define _VECTOR_H_

#include <vector>

using namespace::std;

class Vector
{
public:
	int size;
	vector<double> data;

	Vector();
	Vector(int s);

	Vector operator-(const Vector &rhs);
	Vector operator+(const Vector &rhs);
	Vector operator*(double a);
	Vector& operator-=(const Vector &rhs);
	Vector& operator+=(const Vector &rhs);
	Vector& operator*=(double a);
	Vector& operator=(const Vector &rhs);

	double dot(const Vector& rhs);
	double magnitude();

};

Vector operator*(double a,const Vector& rhs);

#endif